From 7a23817c2112093ed2394e51158946d23d14dec0 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Wed, 27 Oct 2021 14:12:48 +1100
Subject: [PATCH v1] Fix PG comment typos.

(char repeats 3 times)
---
 src/backend/access/transam/xlogreader.c | 2 +-
 src/backend/commands/copyfrom.c         | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/access/transam/xlogreader.c b/src/backend/access/transam/xlogreader.c
index 4b03577..f39f804 100644
--- a/src/backend/access/transam/xlogreader.c
+++ b/src/backend/access/transam/xlogreader.c
@@ -231,7 +231,7 @@ WALOpenSegmentInit(WALOpenSegment *seg, WALSegmentContext *segcxt,
 /*
  * Begin reading WAL at 'RecPtr'.
  *
- * 'RecPtr' should point to the beginnning of a valid WAL record.  Pointing at
+ * 'RecPtr' should point to the beginning of a valid WAL record.  Pointing at
  * the beginning of a page is also OK, if there is a new record right after
  * the page header, i.e. not a continuation.
  *
diff --git a/src/backend/commands/copyfrom.c b/src/backend/commands/copyfrom.c
index 40a54ad..f366a81 100644
--- a/src/backend/commands/copyfrom.c
+++ b/src/backend/commands/copyfrom.c
@@ -1237,7 +1237,7 @@ BeginCopyFrom(ParseState *pstate,
 
 	tupDesc = RelationGetDescr(cstate->rel);
 
-	/* process commmon options or initialization */
+	/* process common options or initialization */
 
 	/* Generate or convert list of attributes to process */
 	cstate->attnumlist = CopyGetAttnums(tupDesc, cstate->rel, attnamelist);
-- 
1.8.3.1

